Package org.eclipse.graphiti.ui.internal.editor

## Class GFPanningSelectionToolEntry

- java.lang.Object
- - org.eclipse.gef.palette.PaletteEntry
  - - org.eclipse.gef.palette.ToolEntry
    - - org.eclipse.gef.palette.SelectionToolEntry
      - - org.eclipse.gef.palette.PanningSelectionToolEntry
        - - org.eclipse.graphiti.ui.internal.editor.GFPanningSelectionToolEntry

    public class GFPanningSelectionToolEntry
    extends org.eclipse.gef.palette.PanningSelectionToolEntry

A ToolEntry for a `GFPanningSelectionTool`.

### Field Summary

### Fields inherited from class org.eclipse.gef.palette.ToolEntry

`PALETTE_TYPE_TOOL`

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

### Constructor Summary

Constructors
`GFPanningSelectionToolEntry()` Creates GFPanningSelectionToolEntry.
`GFPanningSelectionToolEntry​(java.lang.String label)` Constructor for GFPanningSelectionToolEntry.
`GFPanningSelectionToolEntry​(java.lang.String label, java.lang.String shortDesc)` Constructor for GFPanningSelectionToolEntry.

### Method Summary

### Methods inherited from class org.eclipse.gef.palette.ToolEntry

`createTool, getToolProperties, getToolProperty, setToolClass, setToolProperty`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GFPanningSelectionToolEntry

    public GFPanningSelectionToolEntry()

Creates GFPanningSelectionToolEntry.

#### GFPanningSelectionToolEntry

    public GFPanningSelectionToolEntry​(java.lang.String label)

Constructor for GFPanningSelectionToolEntry.

Parameters:
  `label` - the label

#### GFPanningSelectionToolEntry

    public GFPanningSelectionToolEntry​(java.lang.String label,
                                       java.lang.String shortDesc)

Constructor for GFPanningSelectionToolEntry.

Parameters:
  `label` - the label
  `shortDesc` - the description